.section-container {
    max-width: calc(100% - 160px);
    margin: auto;
    padding-block: 80px;
}

@media (max-width:1024px) {
    .section-container {
        max-width: calc(100% - 40px);
        padding-block: 40px;
    }
}

.top-filters {
    padding-bottom: 40px;
    border-bottom: 1px solid #96969640;
}

.header-search-input {
    display: block;
    max-width: calc(100% - 30vw);
    margin: auto;
    margin-top: 32px;
}

    .header-search-input form {
        position: relative;
        display: flex;
        align-items: center;
    }

    .header-search-input svg {
        position: absolute;
        left: 32px;
    }

    .header-search-input input {
        border: 1px solid #96969640;
        width: 100%;
        line-height: 2;
        padding: 12px 32px 12px 70px;
        border-radius: 50px;
    }

        .header-search-input input:focus-visible {
            outline-color: black;
        }

.filter-dropdown-button {
    cursor: pointer;
    display: flex;
    gap: 6px;
    justify-content: center;
    align-items: center;
    position: relative;
    border: 1px solid #96969640;
    border-radius: 50px;
    padding: 8px 30px;
    color: black;
    font-size: 14px;
    line-height: 2.5;
    font-family: inherit;
    max-width: 200px;
}

    .filter-dropdown-button > span {
        text-overflow: ellipsis;
        overflow: hidden;
        white-space: nowrap;
    }

    .filter-dropdown-button ul {
        display: none;
        position: absolute;
        list-style: none;
        text-align: left;
        background-color: #fff;
        width: calc(100% - 30px);
        border-radius: 12px;
        border: 1px solid #eee;
        color: #121212;
        top: 110%;
        padding-block: 16px;
        padding-inline: 0;
        min-width: max-content;
        z-index: 999;
    }

    .filter-dropdown-button li {
        padding-inline: 16px;
    }

        .filter-dropdown-button li:hover {
            background-color: #12121233;
        }

    .filter-dropdown-button:has(.filter-dropdown-options[style*=block]) svg {
        transform: rotate(180deg);
    }

.entry-title {
    display: grid;
    grid-template-columns: 8fr 2fr;
    align-items: center;
    padding-bottom: 20px;
}

p.breadcrumbs {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    line-height: 1;
    text-transform: capitalize
}

.entry-title h1 {
    font-size: max(14px, 1.5vw);
}

.entry-title .sort-filter {
    display: flex;
    gap: 8px;
    justify-self: end;
}

@media (max-width:1024px) {
    .filter-dropdown-button {
        position: unset;
    }

        .filter-dropdown-button ul {
            display: block;
            top: auto;
            bottom: -100%;
            left: 10px;
            width: calc(100% - 20px);
            border-bottom: 10px solid black;
            border-bottom-right-radius: 0px;
            border-bottom-left-radius: 0px;
            transition: all .5s ease-in-out;
        }
}

@media (max-width:768px) {
    .entry-title {
        grid-template-columns: 1fr;
    }

    p.breadcrumbs {
        gap: 5px;
    }
}

.pagination {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
    padding: 0;
    list-style: none;
    align-items: center;
    justify-content: center;
}

    .pagination li a {
        display: flex;
        align-items: center;
        border-radius: 4px;
        line-height: 1;
        padding: 10px 15px;
        border: 1px solid #F1F1F1;
        transition: all .3s ease-in-out;
    }

        .pagination li a:hover {
            background-color: #12121226;
            border-color: black;
        }

        .pagination li a.current-page {
            background-color: black;
            color: white;
        }

.community-listings {
    padding: 0;
}

.community {
    background-color: #fff;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    border-radius: 12px;
    margin-bottom: 24px;
    padding: 30px;
}

    .community .community_name {
        margin-bottom: 1rem;
        position: relative;
    }

        .community .community_name h2 {
            display: inline-block;
            background-color: #fff;
            position: relative;
            z-index: 1;
            padding-right: 1rem;
            margin: 0;
            font-size: 18px;
        }

        .community .community_name::after {
            position: absolute;
            right: 0;
            width: 100%;
            height: 1px;
            background-color: #ced4da;
            content: "";
            top: calc(50% - 1px);
        }

    .community .more_projects {
        text-align: right;
    }

        .community .more_projects a {
            display: inline-flex;
            gap: 10px;
            align-items: center;
            padding: 12px 50px;
            background-color: black;
            color: white;
            font-size: 14px;
            border-radius: 50px;
            text-align: center;
        }

            .community .more_projects a svg {
                fill: white;
                height: 16px;
                transition: ease-in-out .3s;
            }

            .community .more_projects a:hover svg {
                transform: translateX(10px);
            }

.listing-in-communtity {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 24px;
    margin-bottom: 24px
}

@media only screen and (max-width:768px) {
    .community .more_projects a {
        display: flex;
        padding: 12px 30px;
        justify-content: center;
    }

    .listing-in-communtity {
        grid-template-columns: 1fr;
    }
}


.listing-item {
    border-radius: 12px;
    border: 1px solid #96969640;
    overflow: hidden;
}

    .listing-item img {
        width: 100%;
        height: auto;
        aspect-ratio: 3/2;
        margin-bottom: 20px;
        border-radius: 12px 12px 0 0;
    }

    .listing-item .listing-header, .listing-item .listing-footer {
        padding-inline: 15px;
        padding-bottom: 15px;
    }

    .listing-item .price {
        font-weight: bold;
        font-size: 20px;
        line-height: 1;
        margin: 0;
        margin-bottom: 5px;
        color: #4336FF;
    }

    .listing-item h3 {
        font-size: 14px;
        line-height: 1.2;
        text-overflow: ellipsis;
        overflow: hidden;
        white-space: nowrap;
        color: #262626
    }

@media (max-width:768px) {
    .listing-item h3 {
        font-size: 14px;
    }
    .community{
        padding:15px;
    }
}

.listing-item .location {
    font-size: 14px;
    margin: 0;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    overflow: hidden;
    -webkit-box-orient: vertical;
    font-weight: 400;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

.listing-item .listing-footer {
    display: flex;
    gap: 20px;
    font-size: 14px;
    border-top: 2px solid #96969640;
    margin-top: 20px;
    padding-block: 20px;
}

    .listing-item .listing-footer .listing-info {
        font-size: 14px;
        display: flex;
        align-items: center;
        gap: 8px;
    }

@media (max-width:1024px) {
    .listing-item .listing-footer {
        flex-direction: column !important;
        gap: 10px;
    }
}

.selectize-input, .selectize-input.dropdown-active {
    display: block;
    width: 100%;
    padding: 5px 24px;
    border-radius: 50px;
    color: white;
    font-size: 14px;
    line-height: 2.5;
    font-family: inherit;
    white-space: nowrap;
}
